Name:           perl-Perl-Critic-Pulp
Version:        62
Release:        1%{?dist}
Summary:        Some add-on perlcritic policies
License:        GPLv3+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Perl-Critic-Pulp/
Source0:        http://www.cpan.org/authors/id/K/KR/KRYDE/Perl-Critic-Pulp-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(IO::String) >= 1.02
BuildRequires:  perl(List::MoreUtils) >= 0.24
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Pod::ParseLink)
BuildRequires:  perl(Perl::Critic) >= 1.084
BuildRequires:  perl(Perl::Critic::Policy) >= 1.084
BuildRequires:  perl(Perl::Critic::Utils) >= 1.100
BuildRequires:  perl(Perl::Critic::Utils::PPI)
BuildRequires:  perl(Perl::Critic::Violation)
BuildRequires:  perl(Pod::MinimumVersion) >= 50
BuildRequires:  perl(Pod::Parser)
BuildRequires:  perl(PPI) >= 1.212
BuildRequires:  perl(PPI::Document)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(version)
BuildRequires:  perl(Test::More)
# Optional tests only:
BuildRequires:  perl(Parse::CPAN::Meta)
BuildRequires:  perl(Perl::MinimumVersion)
BuildRequires:  perl(Test::DistManifest)
BuildRequires:  perl(Test::Pod) >= 1.00
BuildRequires:  perl(Test::Synopsis)
BuildRequires:  perl(Test::YAML::Meta) >= 0.15
BuildRequires:  perl(YAML)
BuildRequires:  perl(YAML::Syck)
BuildRequires:  perl(YAML::Tiny)
BuildRequires:  perl(YAML::XS)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(IO::String) >= 1.02
Requires:       perl(List::MoreUtils) >= 0.24
Requires:       perl(Perl::Critic) >= 1.084
Requires:       perl(Pod::MinimumVersion) >= 50
Requires:       perl(PPI) >= 1.212
Requires:       perl(PPI::Document)
# This is plug-in into Test::More. Depend on it even if not mentioned in the
# code.
Requires:       perl(Test::More)

# Filter underspecified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(List::MoreUtils\\)\\s*$
%global __requires_exclude %__requires_exclude|perl\\(Perl::Critic::Policy\\)\\s*$
%global __requires_exclude %__requires_exclude|perl\\(Perl::Critic::Utils\\)\\s*$
%global __requires_exclude %__requires_exclude|perl\\(Perl::Critic::Utils\\) >= 0\\.21$
%global __requires_exclude %__requires_exclude|perl\\(Perl::Critic::PodParser::ProhibitVerbatimMarkup\\)\\s*$
# Filter private redefinitions
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}perl\\(Perl::MinimumVersion\\)\\s*$
# Filter private parsers 
%global __provides_exclude %__provides_exclude|perl\\(Perl::Critic::PodParser::ProhibitVerbatimMarkup\\)\\s*$
%global __provides_exclude %__provides_exclude|perl\\(Perl::Critic::Policy::Documentation::ProhibitAdjacentLinks::Parser\\)\\s*$
%global __provides_exclude %__provides_exclude|perl\\(Perl::Critic::Pulp::PodMinimumVersionViolation\\)\\s*$
%global __provides_exclude %__provides_exclude|perl\\(Perl::Critic::Pulp::PodParser::ProhibitBadAproposMarkup\\)\\s*$
%global __provides_exclude %__provides_exclude|perl\\(Perl::Critic::Pulp::PodParser::ProhibitParagraphTwoDots\\)\\s*$
%global __provides_exclude %__provides_exclude|perl\\(Perl::Critic::Pulp::PodParser::ProhibitUnbalancedParens\\)\\s*$
%global __provides_exclude %__provides_exclude|perl\\(Perl::Critic::Pulp::PodParser::RequireLinkedURLs\\)\\s*$

%description
This is a collection of add-on policies for Perl::Critic.  They're under
a "pulp" theme plus other themes according to their purpose (see "POLICY
THEMES" in Perl::Critic).

%prep
%setup -q -n Perl-Critic-Pulp-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=perl OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes COPYING README
%{perl_privlib}/*
%{_mandir}/man3/*

%changelog
* Tue Jul 26 2011 Petr Pisar <ppisar@redhat.com> - 62-1
- 0.62 bump
- Remove RPM 4.8 filters

* Tue Jul 26 2011 Marcela Mašláňová <mmaslano@redhat.com> - 61-3
- add RPM4.9 macro filter

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 61-2
- Perl mass rebuild

* Mon Jun 06 2011 Petr Pisar <ppisar@redhat.com> - 61-1
- Version 61 bump

* Mon May 23 2011 Petr Pisar <ppisar@redhat.com> - 60-2
- Remove explicit defattr

* Mon May 23 2011 Petr Pisar <ppisar@redhat.com> - 60-1
- Version 60 bump

* Tue May 10 2011 Petr Pisar <ppisar@redhat.com> - 59-1
- Version 59 bump

* Tue May 10 2011 Petr Pisar <ppisar@redhat.com> - 58-1
- Version 58 bump

* Fri May 06 2011 Petr Pisar <ppisar@redhat.com> - 57-1
- Version 57 bump

* Thu Apr 28 2011 Petr Pisar <ppisar@redhat.com> - 56-1
- Version 56 bump
- Do not provide private parsers

* Tue Apr 26 2011 Petr Pisar <ppisar@redhat.com> - 55-1
- Version 55 bump

* Thu Apr 21 2011 Petr Pisar <ppisar@redhat.com> - 54-1
- 54 bump

* Wed Apr 21 2011 Petr Pisar <ppisar@redhat.com> - 51-1
- Version 51 bump

* Thu Apr 21 2011 Petr Pisar <ppisar@redhat.com> - 46-2
- Do not provide Perl::MinimumVersion

* Tue Jan 25 2011 Petr Pisar <ppisar@redhat.com> 46-1
- Specfile autogenerated by cpanspec 1.78.
- Remove BuidRoot stuff
- Install into perl core direcotory
- Make the package no-architecture depndend (the XS compilation is test-time)
